Bug 2035 - globus_callout_read_config sets datum->next to datum
: globus_callout_read_config sets datum->next to datum
Status: RESOLVED FIXED
: GSI C
Authentication
: 3.9.2
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-10-07 10:09 by
Modified: 2008-08-11 15:21 (History)


Attachments
Fix (1.64 KB, patch)
2004-10-09 21:37, Sam Meder
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-07 10:09:54
In the routine, globus_callout_read_config, line 372 of globus_callout.c does 
the following:

      datum->next = datum;

In the routine, globus_callout_call_type, around line 721 of globus_callout.c 
current_datum is set to current_datum->next and the do while(current_datum) 
loop goes into an infinite loop.

I discovered this when trying to configure an authz callout. I'm not sure why 
datum->next is set to itself instead of null at line 372 but this seems to be 
a bug.

Thanks,
Tom Fredian
Plasma Science and Fusion Center, MIT
------- Comment #1 From 2004-10-09 21:37:36 -------
Created an attachment (id=441) [details]
Fix
------- Comment #2 From 2004-10-09 21:38:17 -------
I've committed the attached fix to CVS. Thanks for the report.